import json
import requests
#JSON Records der einzelnen Pegel
ob_URL="https://www.pegelonline.wsv.de/webservices/rest-api/v2/stations/3c7cfb10-c866-404b-b11c-0d79986f865a.json?includeTimeseries=true&includeCurrentMeasurement=true"
MAINFLINGEN_URL="https://www.pegelonline.wsv.de/webservices/rest-api/v2/stations/4627475d-ccda-4d53-8f13-28527c49eaf5.json?includeTimeseries=true&includeCurrentMeasurement=true"
STARNUAL_URL="https://www.pegelonline.wsv.de/webservices/rest-api/v2/stations/a9ca43e9-ef92-4f1c-ac02-a6c8ccad7b9f.json?includeTimeseries=true&includeCurrentMeasurement=true"

def get_JSON(url):	#JSON abholen und aufschlüsseln
    response = requests.get(url)
    data = json.loads(response.text)
    return data

#Aufrufe zum abholen    
obernau=get_JSON(ob_URL)
mainflingen=get_JSON(MAINFLINGEN_URL)
starnual=get_JSON(STARNUAL_URL)
#timeseries-Daten extrahieren
ob_hoehe=float(obernau["timeseries"][0]["gaugeZero"]["value"])
ob_h_unit=obernau["timeseries"][0]["gaugeZero"]["unit"]
ob_pegel=float(obernau["timeseries"][0]["currentMeasurement"]["value"])
ob_timestamp=obernau["timeseries"][0]["currentMeasurement"]["timestamp"]
mf_hoehe=float(mainflingen["timeseries"][0]["gaugeZero"]["value"])
mf_h_unit=mainflingen["timeseries"][0]["gaugeZero"]["unit"]
mf_pegel=float(mainflingen["timeseries"][0]["currentMeasurement"]["value"])
mf_timestamp=mainflingen["timeseries"][0]["currentMeasurement"]["timestamp"]
sb_hoehe=float(starnual["timeseries"][0]["gaugeZero"]["value"])
sb_h_unit=starnual["timeseries"][0]["gaugeZero"]["unit"]
sb_pegel=float(starnual["timeseries"][0]["currentMeasurement"]["value"])
sb_timestamp=starnual["timeseries"][0]["currentMeasurement"]["timestamp"]
#Ansichtsfreundliche Datenzeile erstellen
ob_zeile="Pegel Obernau         :"+ob_timestamp+": {:3.2f} ".format(ob_hoehe)+ob_h_unit+", {:3.0f} cm".format(ob_pegel)
mf_zeile="Pegel Mainflingen     :"+mf_timestamp+": {:3.2f} ".format(mf_hoehe)+mf_h_unit+", {:3.0f} cm".format(mf_pegel)
sb_zeile="Pegel St. Arnual A620 :"+sb_timestamp+": {:3.2f} ".format(sb_hoehe)+sb_h_unit+", {:3.0f} cm".format(sb_pegel)
#speicherung könnte natürlich kompakter sein, als CSV mit definierten Headern statt Text jedes mal
with open('obernau.txt','a', encoding="utf-8") as f:
	f.write(ob_zeile+"\n")
	f.close()
with open('mainflingen.txt','a', encoding="utf-8") as f:
	f.write(mf_zeile+"\n")
	f.close()
with open('st_arnual.txt','a', encoding="utf-8") as f:
	f.write(sb_zeile+"\n")
	f.close()	
#Datenzeile anzeigen
print(ob_zeile)
print(mf_zeile)
print(sb_zeile)   
#Verleich Grenzpegel (laut SOL.DE)
sb_margin=380-sb_pegel
print("Noch {:3.0f} cm bis A620 gesperrt wird.".format(sb_margin))
if sb_margin<=30:
	print("A620 kurz vor Sperrung, Saarbrooklyn dann durch Umgeungsverkehr besonders ungemütlich!")
else:
	print("Saarbrooklyn ist zwar ungemütlich, aber nicht wegen Umgehungsverkehr.")

